0

I'm setting up a new MacBook Pro. I connected it to my iCloud account, and I'm getting a ridiculous amount of duplicate OS notifications to approve other devices (there are only two other devices on which I'm logged into iCloud). I choose "options" > "approve" from the notification each time, but they keep coming back. How can I make it stop?

many notifications to approve another device to use my iCloud account

MacBook Pro, Mac OS 13.5

2 Answers 2

0

If your notifications database is corrupt, or you want to just clear it out completely, you can try this shell script to nuke your notifications center db

save to e.g. nuke-notif-db.sh and chmod +x it, run from Terminal

#!/usr/bin/env bash

DARWIN_USER_DIR=$(/usr/bin/getconf DARWIN_USER_DIR)
NCDIR=${DARWIN_USER_DIR%/}/com.apple.notificationcenter/db2

_ks() {
  for a in usernoted notificationcenterui.agent; do
    launchctl kickstart -kp gui/$UID/com.apple.$a &>/dev/null
    sleep 1
  done
}

cd "$NCDIR" 2>/dev/null || { echo 1>&2 "failed to enter db dir"; exit 1; }
[[ -e db ]] || { echo 1>&2 "notifications db does not exist"; exit 1; }
rm db.corrupt* 2>/dev/null

IFS='|' read -r rv _ _ < <(sqlite3 db "PRAGMA wal_checkpoint(TRUNCATE)")
if [[ $rv != 0 ]]; then
  echo 1>&2 "error truncating WAL"
  _ks
fi

sqlite3 db "DELETE FROM record" && _ks
1
  • Does this just remove existing notifications? That's not quite my issue, since I clear out the notifications that appear each day, but then more like this keep being created.
    – Mike Eng
    Nov 16, 2023 at 20:59
0

Changing my login password on the Mac and the passcode on the iPhone that were referenced in the notifications made the notifications stop.

There was one more set of notifications immediately after I did this, and then there were no more.

1
  • It took three rounds with apple support to find the resolution.
    – Mike Eng
    Dec 1, 2023 at 3:04

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .